      SUBROUTINE LFIMST ( KREP, KNUMER, LDIMST )
#include "lficomt.h"
C****
C        CE SOUS-PROGRAMME PERMET D'ACTIVER OU DE DESACTIVER L'OPTION
C     D'IMPRESSION DE STATISTIQUES A LA FERMETURE D'UN FICHIER
C     PARTICULIER, OUVERT POUR LE LOGICIEL LFI.
C        CEPENDANT, TANT QUE LE NIVEAU GLOBAL D'IMPRESSION DES STAT.
C     *NISTAG* VAUT 0 OU 2, L'OPTION PROPRE AU FICHIER EST INOPERANTE.
C     *NISTAG* VAUT PAR DEFAUT 1, ET EST REGLABLE VIA LE S/P "LFINSG".
C**
C     ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DU SOUS-PROGRAMME;
C                 KNUMER (ENTREE) ==> NUMERO D'UNITE LOGIQUE CONCERNEE;
C                 LDIMST (ENTREE) ==> OPTION D'IMPRESSION (VRAI=OUI)
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, IRANG, IREP, INIMES
C
      LOGICAL LDIMST
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.NE.0) THEN
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'ON')
        LISTAT(IRANG)=LDIMST
        NDEROP(IRANG)=3
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'OFF')
        IREP=0
      ELSE
        IREP=-1
      ENDIF
C
      KREP=IREP
      LLFATA=LLMOER (IREP,IRANG)
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFIMST'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', LDIMST= '',L1)') KREP,KNUMER,LDIMST
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
